export * from "./types";
export * from "./utils/common";
export { default as CloudflareService } from "./services/CloudflareService";
export { default as VerificationService } from "./services/VerificationService";
export { default as MimeVerificationService } from "./services/MimeVerificationService";
export { default as StatusesService } from "./services/StatusesService";
export { default as CommonUtils } from "./utils/common";
export { default as QrCodeDataService } from "./services/QrCodeDataService";
export { default as CryptoService } from "./services/CryptoService";
export { default as VerificationError } from "./services/VerificationService/VerificationError";
export { default as MailParser } from "./services/MailParser";
export { default as QrCodeTemplate } from "./utils/qrCodeTemplateUtils";
export { default as RKAUtility } from "./utils/rka";
/**
 * @deprecated Will be removed in version 1.0.1. Please use RKAUtility instead.
 */
export declare const RollingHash: {
    getRabinFingerprint: (string: string) => string;
    searchFingerprintInText: (text: string, keywordHashHexString: string, size: number) => number;
    getRollingHash: (string: string) => string;
    searchHashInText: (text: string, keywordHashHexString: string, size: number) => number;
};
import CloudflareService from "./services/CloudflareService";
/**
 * @deprecated Will be removed in version 1.0.1. Please use CloudflareService instead.
 */
export declare const CDNService: typeof CloudflareService;
