declare const _default: {
    normalizeVendorHtml: (htmlString: string, vendor: string) => string;
    getMimeHtmlAndPlainParts: (mimeString: string) => {
        htmlPart: string;
        plainPart: string;
    };
    preparePartsForSigning: (parts: string[], attachmentsHashes: string[]) => Promise<string>;
    prepareMimeForPartsVerification: (mimeString: string, attachmentsHashes: string[], senderSystem: string, sourceHtmlRollingHash: string, sourceHtmlSize: number, sourcePlainRollingHash: string, sourcePlainSize: number) => Promise<string>;
    getNormalizedMimeParts: (mimeString: string, senderSystem: string) => {
        htmlPart: string;
        plainPart: string;
    };
    normalizePlainPart: (text: string) => string;
};
export default _default;
