/**
 * Utility implementing Rabin-Karp algorithm
 * https://en.wikipedia.org/wiki/Rabin%E2%80%93Karp_algorithm
 */
declare const _default: {
    getRabinFingerprint: (string: string) => string;
    searchFingerprintInText: (text: string, keywordHashHexString: string, size: number) => number;
    getRollingHash: (string: string) => string;
    searchHashInText: (text: string, keywordHashHexString: string, size: number) => number;
};
export default _default;
